Bug 37533 - (SCSI TMSCIM)GNU Parted causes an oops when used with tmscsim. This makes installer to cash when selecting partitioning type as well.
(SCSI TMSCIM)GNU Parted causes an oops when used with tmscsim. This makes ins...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
: 56546 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 03:18 EDT by Per Winkvist
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Program that causes tmscsim to oops (1.10 KB, text/plain)
2001-11-23 08:43 EST, Per Winkvist
no flags Details

  None (edit)
Description Per Winkvist 2001-04-25 03:18:42 EDT
The furthest I got for text, nofb, lowres was this:

VC3:
going to insmod ext3.o
looking for USB mouse
no IDE floppy device found

VC4:
raid5: using funct
raid5: personality registred as nr 4

I could complete the install using expert where it added the following
lines for VC3 when I got to select packages instead of the crash.
Detected 128 of memory
Swap attempt of 128 to 256
Maximum cylinder is 198
...

For text I got this Ooops.
-----------------------------------------
                        Ooops: 0002
CPU:            0
EIP:            0010:[<c8829e37>]
EFLAGS: 00010006
eax: 00000000   ebx: c12ea0f4   ecx: 00000081   edx: 000be40c
esi: c7f1fa10   edi: 00000080   ebp: c12ea078   esp: c0241f14f2
                                                        next screen
ds: 0018        es: 0018        ss: 0018

Process swapper (pid:0, stackpage=c0241000)
Stack c0241f47 c12ea0f4 c12ea078 00000081 c88294d6 c12ea078 c12ea0f4 
00000080
c12ea078 c12ea0f4 c0241f47 00000282 912711c0 00000246 00000000 c025f550
00000000 c7f1ea80 04000001 0000000b c0241fac c010a019 0000000b

Call Trace [<c88294d6>] [<c010a019>] [<c010a168>] [<c12ea078>] [<c0107210>]
[<c0108f58>] [<c0107210>] [<c0107233>] [<c010729a>] [<c0105000>] 
[<c0100191>]

Code: 80 60 27 fe 85 f6 0f 84 9f 00 00 00 80 4e 27 02 e9 96 00 00

Kernel Panic: Aiee, killing interrupt handler
In interrupt handler - not syncing
-----------------------------------------


Let me know if there is something wrong with the oops since I can 
reproduce it pretty easy.

I previously had a RH7 installation w/ ~50 swap, 128 ram

Regards,
        Per Winkvist
Comment 1 Brent Fox 2001-04-25 09:12:21 EDT
This is a kernel problem.  Changing component to the kernel.
Comment 2 Per Winkvist 2001-10-29 05:59:55 EST
Hi Arjan,

I got the same problems with 7.2, though this time I can not even complete the 
install with the expert option. I got a kernel panic (in text mode) this time 
to. It looks exactly the same as the previous one for 7.1 that I got.

Do you want me to attach it ? or file a new bug ?

I'm willing to try things since I really, really would like to get Linux up and 
running ASAP!

This is the only time I'm not been able to install RH since 4.1 :(
Comment 3 Arjan van de Ven 2001-10-29 06:05:08 EST
Any ideas on what sort of hardware this is ?
Comment 4 Per Winkvist 2001-10-29 06:37:46 EST
Abit BH-6 w/ Celeron 300A (* see below for further info)
Tekram DC-390 SCSI controller (I believe it is using the ncr53c8xx or AMxxCxxx 
driver) (PCI)
1 Quantum Empire 1G SCSI 2 disk, 1 seagate 4.3 gb disk
ATI Mach64 video connected to AGP
SoundBlaster AWE32 (isa)

I have never gotten an oops before while running the system, gcc and g++ 
performs reliable

I tried to disconnect Quantum drive + delete all previous Linux partitions but 
nothing changed.

(*)
Chipset Intel 440BX 
Memory Slots 3 168pin DIMM Slots (EDO/SDRAM) 
Expansion Slots 1 AGP Slot
5 PCI Slots
2 ISA Slots (1 Shared / 2 Full Length) 
BIOS Award BIOS
Comment 5 Per Winkvist 2001-10-29 07:00:52 EST
In 7.1 it oopsed after I selected type of install (as summary sais). But for 
7.2 it oopses 0.000001 seconds after I select fdisk or diskdruid.
Comment 6 Per Winkvist 2001-10-30 02:03:56 EST
I have identified the cause!
When I replaced the tmscsim module that the installer auto probed for me with 
the AM53C974 module the installer didn't oops when I selected partitioning 
method.

The /tmp/syslog had almost the same entries for both modules. The only 
differance is that for tmscsim it said something like "Tekram DC390/AM53" at 
the top while for the other module it said AM53C974. Both modules found the 
disks and tmscsim even showed the 10Mb/s transfer rate.

So this must be a bug in the tmscsim driver right ?
I'll try to see what happens after the install is completed...

Comment 7 Per Winkvist 2001-11-09 02:30:55 EST
After installing 7.2 I can successfully run it with the tmscsim module (which 
oopsed during the installation after selecting partitioning type).

So what is the installer doing that is flawed !?, Where can I find the source 
for the installation disk ?
Comment 8 Corey MJ Wirun 2001-11-21 18:45:19 EST
*** Bug 56546 has been marked as a duplicate of this bug. ***
Comment 9 Corey MJ Wirun 2001-11-21 18:45:50 EST
*** Bug 56546 has been marked as a duplicate of this bug. ***
Comment 10 Per Winkvist 2001-11-23 08:43:16 EST
Created attachment 38423 [details]
Program that causes tmscsim to oops
Comment 11 Per Winkvist 2001-11-23 08:48:56 EST
I have now found out that it is parted that causes the oops. I have
attached a
program that make tmscsim oops.  Basically,

  cmd[0] = 0x12;          /* INQUIRY */
  cmd[1] = 0x00;          /* lun=0, evpd=0 */
  cmd[2] = 0x00;          /* page code = 0 */
  cmd[3] = 0x00;          /* (reserved) */
  cmd[4] = 96;            /* allocation length */
  cmd[5] = 0x00;          /* control */
Comment 12 Bugzilla owner 2004-09-30 11:38:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.